# Method: properties.delete

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/properties/delete#try-it)

Deletes a property.

### HTTP request

`DELETE https://www.googleapis.com/drive/v2/files/{fileId}/properties/{propertyKey}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file. |
| `propertyKey` | `string` The key of the property. |

### Query parameters

| Parameters ||
|---|---|
| `visibility` | `string` The visibility of the property. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.metadata`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).